core::trust::Agent Class Referenceabstract

Abstracts user-prompting functionality. More...

`#include <agent.h>`

Inheritance diagram for core::trust::Agent:
Collaboration diagram for core::trust::Agent:

## Classes

struct | Registry
| Abstracts functionality for storing agent instances and associating them with a user id. More...
struct | RequestParameters
| Summarizes all parameters for processing a trust request. More...

## Public Member Functions

virtual Request::Answer | authenticate_request_with_parameters (const RequestParameters &parameters)=0
| Authenticates the given request and returns the user's answer. More...

## Detailed Description

Abstracts user-prompting functionality.

Definition at line 33 of file agent.h.

## Member Function Documentation

virtual Request::Answer core::trust::Agent::authenticate_request_with_parameters | ( | const RequestParameters & | parameters | ) |

pure virtual

Authenticates the given request and returns the user's answer.

Parameters

  parameters | [in] Describe the request.

Implemented in core::trust::CachedAgent.

The documentation for this class was generated from the following file:

- /build/trust-store-uD3f_u/trust-store-2.0.0+16.04.20160119/include/core/trust/agent.h